Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Q3HGroupBox Class Reference

The Q3HGroupBox widget organizes widgets in a group with one horizontal row. More...

     #include <Q3HGroupBox>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: Q3GroupBox.

- List of all members, including inherited members

## Public Functions

| Q3HGroupBox ( QWidget * parent = 0, const char * name = 0 )
| Q3HGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )
| ~Q3HGroupBox ()

- 22 public functions inherited from Q3GroupBox
- 10 public functions inherited from QGroupBox
- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

### Additional Inherited Members

- 8 properties inherited from Q3GroupBox
- 5 properties inherited from QGroupBox
- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 1 public slot inherited from QGroupBox
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 2 signals inherited from QGroupBox
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject
- 4 protected functions inherited from Q3GroupBox
- 10 protected functions inherited from QGroupBox
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The Q3HGroupBox widget organizes widgets in a group with one horizontal row.

Q3HGroupBox is a convenience class that offers a thin layer on top of Q3GroupBox. Think of it as a Q3HBox that offers a frame with a title.

See also Q3VGroupBox.

## Member Function Documentation

### Q3HGroupBox::Q3HGroupBox ( QWidget * parent = 0, const char * name = 0 )

Constructs a horizontal group box with no title.

The parent and name arguments are passed to the QWidget constructor.

### Q3HGroupBox::Q3HGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )

Constructs a horizontal group box with the title title.

The parent and name arguments are passed to the QWidget constructor.

### Q3HGroupBox::~Q3HGroupBox ()

Destroys the horizontal group box, deleting its child widgets.